Alerta de Segurança Debian

DSA-989-1 zoph -- SQL injection

Data do Alerta:
09 Mar 2006
Pacotes Afetados:
zoph
Vulnerável:
Sim
Referência à base de dados de segurança:
No sistema de acompanhamento de bugs do Debian: Bug 350717.
No dicionário CVE do Mitre: CVE-2006-0402.
Informações adicionais:

Neil McBride descobriu que o Zoph, um sistema de gerenciamento de fotos baseado em web executa limpeza insuficiente para entrada passada para a busca de fotos, que pode levar à execução de comandos SQL através de ataque de injeção SQL.

A antiga distribuição estável ("woody") não contém o pacote zoph.

Para a distribuição estável ("sarge") este problema foi corrigido na versão 0.3.3-12sarge1.

Para a distribuição instável ("sid") este problema foi corrigido na versão 0.5-1.

Recomendamos que você atualize seu pacote zoph.

Corrigido em:

Debian GNU/Linux 3.1 (sarge)

Fonte:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.dsc
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1.diff.gz
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3.orig.tar.gz
Componente independente de arquitetura:
http://security.debian.org/pool/updates/main/z/zoph/zoph_0.3.3-12sarge1_all.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.